| Home | Libraries | People | FAQ | More

## Struct template result<This(Cont, It, Value), typename disable_if< mpl::or_< is_integral< UNCVREF(It)>, is_same< UNCVREF(It), UNCVREF(Value)> > >::type>

boost::xpressive::op::insert::result<This(Cont, It, Value), typename disable_if< mpl::or_< is_integral< UNCVREF(It)>, is_same< UNCVREF(It), UNCVREF(Value)> > >::type>

## Synopsis

    // In header: <boost/xpressive/regex_actions.hpp>

    template<typename This, typename Cont, typename It, typename Value>
    struct result<This(Cont, It, Value), typename disable_if< mpl::or_< is_integral< UNCVREF(It)>, is_same< UNCVREF(It), UNCVREF(Value)> > >::type> {
    };